#
# Conditional build:
%bcond_without	apidocs		# API documentation
#
Summary:	CLI11 - command line parser for C++ 11
Summary(pl.UTF-8):	CLI11 - parser linii poleceń dla C++ 11
Name:		CLI11
Version:	2.5.0
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/CLIUtils/CLI11/releases
Source0:	https://github.com/CLIUtils/CLI11/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	0810cda604aa50492aa7c6b7471f1d3a
URL:		https://github.com/CLIUtils/CLI11
BuildRequires:	catch2-devel
BuildRequires:	cmake >= 3.10
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	libstdc++-devel >= 6:4.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CLI11 provides all the features you expect in a powerful command line
parser, with a beautiful, minimal syntax and no dependencies beyond
C++11. It is header only, and can come in a single file form for easy
inclusion in projects. It is easy to use for small projects, but
powerful enough for complex command line projects, and can be
customized for frameworks.

%description -l pl.UTF-8
CLI11 udostępnia wszystkie możliwości, jakich należałoby oczekiwać od
w pełni funkcjonalnego analizatora linii poleceń, z ładną, minimalną
składnią i bez zależności innych niż C++11. Składa się z samych plików
nagłówkowych, może być dołączany jako pojedynczy plik do projektu.
Jest prosty w użyciu, ale wystarczająco potężny do projektów ze
złożoną linią poleceń, może być też dostosowanych do różnych
szkieletów.

%package devel
Summary:	CLI11 - command line parser for C++ 11
Summary(pl.UTF-8):	CLI11 - parser linii poleceń dla C++ 11
Group:		Development/Libraries

%description devel
CLI11 provides all the features you expect in a powerful command line
parser, with a beautiful, minimal syntax and no dependencies beyond
C++11. It is header only, and comes in a single file form for easy
inclusion in projects. It is easy to use for small projects, but
powerful enough for complex command line projects, and can be
customized for frameworks.

%description devel -l pl.UTF-8
CLI11 udostępnia wszystkie możliwości, jakich należałoby oczekiwać od
w pełni funkcjonalnego analizatora linii poleceń, z ładną, minimalną
składnią i bez zależności innych niż C++11. Składa się z samych plików
nagłówkowych, może być dołączany jako pojedynczy plik do projektu.
Jest prosty w użyciu, ale wystarczająco potężny do projektów ze
złożoną linią poleceń, może być też dostosowanych do różnych
szkieletów.

%package apidocs
Summary:	API documentation for CLI11 library
Summary(pl.UTF-8):	Dokumentacja API biblioteki CLI11
Group:		Documentation

%description apidocs
API documentation for CLI11 library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki CLI11.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DCLI11_BUILD_DOCS=%{__ON_OFF apidocs}

%{__make}

%if %{with apidocs}
%{__make} docs
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}
cp -pr examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%{_includedir}/CLI
%{_datadir}/cmake/CLI11
%{_npkgconfigdir}/CLI11.pc
%{_examplesdir}/%{name}-%{version}

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc build/docs/html/{search,*.css,*.html,*.js,*.png}
%endif
%changelog
* Mon Jun 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/CLI11.git;a=log;h=master

* Mon Jun 30 2025 Jakub Bogusz <qboosh@pld-linux.org> 01cd681
- new

